com.io7m.jstructural.annotated

## Class SATable

- java.lang.Object
- - com.io7m.jstructural.annotated.SATable

- All Implemented Interfaces:
    SAFormalItemContent, SAParagraphContent

      public final class SATable
      extends Object
      implements SAFormalItemContent, SAParagraphContent

  A table.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `formalItemContentAccept(SAFormalItemContentVisitor<A> v)` Accept a formal item content visitor.
    `SATableBody` | `getBody()`
    `com.io7m.jaux.functional.Option<SATableHead>` | `getHeader()`
    `SATableSummary` | `getSummary()`
    `int` | `hashCode()`
    `<A> A` | `paragraphContentAccept(SAParagraphContentVisitor<A> v)` Accept a paragraph content visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### formalItemContentAccept

          public <A> A formalItemContentAccept(@Nonnull
                                      SAFormalItemContentVisitor<A> v)
                                    throws com.io7m.jaux.Constraints.ConstraintError,
                                           Exception

      Description copied from interface: `SAFormalItemContent`
      Accept a formal item content visitor.
      Specified by:
        `formalItemContentAccept` in interface `SAFormalItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### getBody

          @Nonnull
          public SATableBody getBody()

      Returns:
        The table body

    - #### getHeader

          @Nonnull
          public com.io7m.jaux.functional.Option<SATableHead> getHeader()

      Returns:
        The table header

    - #### getSummary

          @Nonnull
          public SATableSummary getSummary()

      Returns:
        The table summary

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(@Nonnull
                                     SAParagraphContentVisitor<A> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from interface: `SAParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SAParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

Copyright © 2014 <code@io7m.com> http://io7m.com